function x = emailFeatures(word_indices)

%   EMAILFEATURES takes the values in a word_indices vector 
%                 and produces a feature vector from the word indices
%   To help make it easier to process the emails, we have have already 
%   pre-processed each email and converted each word in the email
%   into an index in a fixed dictionary (of 1899 words). The variable
%   word_indices contains the list of indices of the words which occur in one email.
%   Your task is take one such word_indices vector and construct a binary 
%   feature vector that indicates whether a particular word occurs in the email.
%   That is, x(i) = 1 when word i is present in the email.

%   Concretely, if an email has the text:
%                  The quick brown fox jumped over the lazy dog.
%   Then, the word_indices vector for this text might look like:
%                   60  100   33   44   10     53  60  58   5
%   where, we have mapped each word onto a number, for example:
%                   the   -- 60
%                   quick -- 100
%                   ...
%   if the word 'the' (say,index 60) appears in the email, then x(60) = 1.
%   The feature vector should look like:
%              x = [ 0 0 0 0 1 0 0 0 ... 0 0 0 0 1 ... 0 0 0 1 0 ..];


n = 1899; % Total number of words in the dictionary
x = zeros(n, 1);
val_un = ones(length(word_indices),1);
x(word_indices) = val_un;

end
